package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学校标签分类id对象 mall_school_tag
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallSchoolTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校标签分类id */
    private Long schoolTagId;

    /** 标签名 */
    @Excel(name = "标签名")
    private String tagName;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 显示状态(0-正常,1-隐藏) */
    @Excel(name = "显示状态(0-正常,1-隐藏)")
    private Integer displayStatus;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public void setSchoolTagId(Long schoolTagId)
    {
        this.schoolTagId = schoolTagId;
    }

    public Long getSchoolTagId()
    {
        return schoolTagId;
    }
    public void setTagName(String tagName)
    {
        this.tagName = tagName;
    }

    public String getTagName()
    {
        return tagName;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setDisplayStatus(Integer displayStatus)
    {
        this.displayStatus = displayStatus;
    }

    public Integer getDisplayStatus()
    {
        return displayStatus;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("schoolTagId", getSchoolTagId())
            .append("tagName", getTagName())
            .append("sort", getSort())
            .append("displayStatus", getDisplayStatus())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
